%% Do not edit this file; it is auto-generated from LSR http://lsr.dsi.unimi.it
%% This file is in the public domain.
\version "2.11.62"

\header {
  lsrtags = "rhythms"

  texidoc = "
The beams of consecutive 16th (or shorter) notes are, by default, not
sub-divided.  That is, the three (or more) beams stretch unbroken over
entire groups of notes.  This behavior can be modified to sub-divide
the beams into sub-groups by setting the property
@code{subdivideBeams}. When set, multiple beams will be sub-divided at
intervals defined by the current value of @code{beatLength} by reducing
the multiple beams to just one beam between the sub-groups. Note that
@code{beatLength} defaults to a quarter note if not set explicitly.  It
must be set to a fraction giving the duration of the beam sub-group
using the @code{make-moment} function, as shown here:



"
  doctitle = "Sub-dividing beams"
} % begin verbatim
\relative c'' {
  c32[ c c c c c c c]
  \set subdivideBeams = ##t
  c32[ c c c c c c c]

  % Set beam sub-group length to an eighth note
  \set beatLength = #(ly:make-moment 1 8)
  c32[ c c c c c c c]

  % Set beam sub-group length to a sixteenth note
  \set beatLength = #(ly:make-moment 1 16)
  c32[ c c c c c c c]
}
